package com.liquidnet.service.slime.service;

import com.liquidnet.service.slime.dto.param.SlimeAuthorizationRecordParam;
import com.liquidnet.service.slime.dto.vo.SlimeAuthorizationPerformanceVo;
import com.liquidnet.service.slime.dto.vo.SlimeAuthorizationRecordsVo;

import java.util.List;

public interface ISlimeAuthorizationRecordsService {
    SlimeAuthorizationPerformanceVo performanceAuthorization(String uid, String performanceId);

    List<SlimeAuthorizationRecordsVo> performanceRecordCheckers(String cuid, String performanceId);

    String performanceRecordCheckerAdd(String cuid, SlimeAuthorizationRecordParam parameter);

    void performanceRecordCheckerDel(String cuid, String authorizationRecordId);
}
